Mandrake Linux Security Advisory : mod_perl (MDKSA-2000:046)

Medium Nessus Plugin ID 61838


The remote Mandrake Linux host is missing a security update.


The configuration file, /etc/httpd/conf/addon-modules/mod_perl.conf contained an Options directive that was not entirely secure and allowed people to browse the /perl/ directory. This update adds the '-Indexes' directive to the Options command, thus making the directory non- browseable.


Update the affected mod_perl package.

Plugin Details

Severity: Medium

ID: 61838

File Name: mandrake_MDKSA-2000-046.nasl

Version: $Revision: 1.3 $

Type: local

Published: 2012/09/06

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:mod_perl, cpe:/o:mandrakesoft:mandrake_linux:6.1, cpe:/o:mandrakesoft:mandrake_linux:7.0, cpe:/o:mandrakesoft:mandrake_linux:7.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2000/09/11

Reference Information

CVE: CVE-2000-0883

MDKSA: 2000:046